import {DomSanitizer} from '@angular/platform-browser'
import {NgModule} from '@angular/core'

import {AppRoutingModule} from './app-routing.module'
import {AppComponent} from './app.component'
import {MatIconRegistry} from '@angular/material/icon'
import {SharedModule} from './modules/shared/shared.module'
import {BrowserAnimationsModule} from '@angular/platform-browser/animations'
import {CatalogComponent} from './pages/catalog/catalog.component'
import {CompanyModule} from './modules/company/company.module'
import {AdministrationComponent} from './pages/administration/administration.component'
import {MiscComponent} from './pages/others/misc.component'
import {CreTablesModule} from './modules/shared/components/tables/tables.module'
import {CreButtonsModule} from './modules/shared/components/buttons/buttons.module'
import {TouchUpKitModule} from './modules/touch-up-kit/touch-up-kit.module'

@NgModule({
  declarations: [
    AppComponent,
    CatalogComponent,
    AdministrationComponent,
    MiscComponent
  ],
  imports: [
    AppRoutingModule,
    SharedModule,
    BrowserAnimationsModule,
    CompanyModule,
    CreTablesModule,
    CreButtonsModule,
    TouchUpKitModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
  constructor(matIconRegistry: MatIconRegistry, domSanitizer: DomSanitizer) {
    matIconRegistry.addSvgIconSet(
      domSanitizer.bypassSecurityTrustResourceUrl('./assets/mdi.svg')
    )
  }
}
